/api/v0/client-credentials

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create New Client Credentials

This will generate a new client credential. The response will include the clientSecret. The clientId and clientSecret values should be utilized for subsequent calls to the /api/v0/oauth/token endpoint. Once generated, the clientSecret cannot be retrieved, so please store it safely.

Sample Request

{
  "name": "My New Credentials",
  "expires": "2028-06-21T00:00:00.000Z"
} 
Request Field
nameA name for the generated credentials. This will only be visible from the GET client-credentials method
expires(Optional) Provide a future date to automatically expire the created credentials. Providing a null value will disable automatic expiration

Sample Response

{
  "credentialId": "4eb40c8b-76d9-4ad3-9580-d327bbd99d15",
  "clientId": "ac9ab00ff44745d199981506313cfa72",
  "name": "My New Credentials",
  "secret": "iObGKtihdEScOmDiZxZ+6Q==",
  "expires": "2028-06-21T00:00:00.000Z",
  "created": "2024-06-21T15:19:05.319Z"
}
Response Field
credentialIdThe internal ID of the generated credentials
clientIdThe clientId value is provided to the /api/v0/oauth/token endpoint to authenticate API calls
nameUser provided internal name for the credentials
secretThe clientSecret value provided to the /api/v0/oauth/token endpoint to authenticate API calls.This value will only be displayed once. Please store it securely.
expiresThe user provided optional expiration date
createdThe date the credentials were created
Body Params
string | null
date-time | null
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json